<?php
/**
* Noting Found Page Settings.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

$wp_customize->add_section( 'agriculture_farm_lite_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Noting Found Page Settings', 'agriculture-farm-lite' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'agriculture_farm_lite_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('agriculture_farm_lite_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_checkbox',
    )
);
$wp_customize->add_control('agriculture_farm_lite_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'agriculture-farm-lite'),
        'section' => 'agriculture_farm_lite_noting_found_page_settings',
        'type' => 'checkbox',
    )
);